<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    android:orientation="vertical"
    tools:context=".ui.fragment.HomeFragment">

    <include
        android:id="@+id/il_title"
        layout="@layout/activity_title"
        android:visibility="gone"></include>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.2"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:gravity="right"
            android:orientation="horizontal"
            android:padding="10dip">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="3dp"
                android:text="¥"
                android:textColor="@color/black"
                android:textSize="46sp" />

            <TextView
                android:id="@+id/inputMoneyYuanText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxLength="13"
                android:text="0."
                android:textColor="#000000"
                android:textSize="38sp" />

            <TextView
                android:id="@+id/inputMoneyFenText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxLength="2"
                android:text="00"
                android:textColor="@color/black"
                android:textSize="34sp" />
        </LinearLayout>
    </RelativeLayout>

    <ImageView style="@style/DropLineTheme" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.52"
        android:background="@color/graye3"
        android:orientation="vertical"
        android:padding="@dimen/dp_1"
        android:weightSum="4">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_num1"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="1" />

            <Button
                android:id="@+id/btn_num2"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="2" />

            <Button
                android:id="@+id/btn_num3"
                style="@style/base_num_button"
                android:text="3" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/divider_height"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_num4"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="4" />

            <Button
                android:id="@+id/btn_num5"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="5" />

            <Button
                android:id="@+id/btn_num6"
                style="@style/base_num_button"
                android:text="6" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/divider_height"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_num7"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="7" />

            <Button
                android:id="@+id/btn_num8"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="8" />

            <Button
                android:id="@+id/btn_num9"
                style="@style/base_num_button"
                android:text="9" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/divider_height"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_num00"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="00" />

            <Button
                android:id="@+id/btn_num0"
                style="@style/base_num_button"
                android:layout_marginRight="@dimen/divider_height"
                android:text="0" />

            <ImageView
                android:id="@+id/btn_num_clear"
                style="@style/base_num_button"
                android:scaleType="center"
                android:src="@drawable/delete" />
        </LinearLayout>

        <ImageView style="@style/DropLineTheme" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="5dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/confirm_amount"></TextView>

            <TextView
                android:id="@+id/tv_amount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="right"
                android:text=""></TextView>
        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.18"
        android:background="@color/white"
        android:orientation="vertical">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">


            <Button
                android:id="@+id/btn_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/rounded_button"
                android:padding="10dp"
                android:text="@string/confirm"
                android:textColor="@color/white" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>